Use make for license generation and checks

This commit is contained in:
Andy Feller 2025-06-20 16:53:11 -04:00
parent 4d1eb59c36
commit 11e8a8127d
4 changed files with 12 additions and 10 deletions

View file

@ -15,7 +15,7 @@ for goos in linux darwin windows ; do
echo "Checking licenses for ${goos}..."
GOOS="${goos}" go-licenses report ./... --template .github/licenses.tmpl --ignore github.com/cli/cli > "${TEMPDIR}/third-party-licenses.${goos}.md" || echo "Ignore warnings"
if ! diff -s "${TEMPDIR}/third-party-licenses.${goos}.md" "third-party-licenses.${goos}.md"; then
echo "::error title=License check failed::Please update the license files by running \`script/licenses\` and committing the output."
echo "::error title=License check failed::Please update the license files by running \`make licenses\` and committing the output."
exit 1
fi
done